squid-helpers-4.8-alt1.i586.rpm


Advertisement

Description

squid-helpers - Squid helpers

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename squid-helpers-4.8-alt1.i586.rpm
Package name squid-helpers
Package version 4.8
Package release alt1
Package architecture i586
Package type rpm
Category System/Servers
Homepage -
License -
Maintainer -
Download size 989.39 KB
Installed size 989.39 KB
This package contains Squid helpers for different kinds of authentication.

Alternatives

Package Version Architecture Repository
squid-helpers-4.8-alt1.x86_64.rpm 4.8 x86_64 Classic
squid-helpers - - -

Requires

Name Value
/etc/pam.d -
/usr/bin/perl -
/usr/bin/wbinfo -
coreutils -
gawk -
libcrypt.so.1 -
libcrypt.so.1(XCRYPT_2.0) -
libcrypto.so.1.1 -
libdb-4.7.so -
libgssapi_krb5.so.2 -
libkrb5.so.3 -
liblber-2.4.so.2 -
libldap-2.4.so.2 -
libpam(include) -
libpam.so.0 -
libpam.so.0(LIBPAM_1.0) -
libresolv.so.2(GLIBC_2.2) -
libsasl2.so.3 -
libstdc++.so.6(CXXABI_1.3.5) -
nss-utils -
openssl -
pam0(system-auth) -
perl(Crypt/OpenSSL/X509.pm) -
perl(DBI.pm) -
perl(Data/Dumper.pm) -
perl(Digest/MD5.pm) -
perl(Digest/SHA.pm) -
perl(English.pm) -
perl(Errno.pm) -
perl(File/Basename.pm) -
perl(FileHandle.pm) -
perl(Getopt/Long.pm) -
perl(Getopt/Std.pm) -
perl(IPC/Open2.pm) -
perl(POSIX.pm) -
perl(Pod/Usage.pm) -
perl(Time/HiRes.pm) -
perl(URI/URL.pm) -
rpmlib(PayloadIsLzma) -
squid = 4.8-alt1:sisyphus+234531.100.1.1

Provides

Name Value
pam0(squid) -
squid-helpers = 4.8-alt1:sisyphus+234531.100.1.1
squid-helpers-perl = 4.8-alt1

Obsoletes

Name Value
squid-helpers-perl -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package squid-helpers-4.8-alt1.i586.rpm
Source Package squid-4.8-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install squid-helpers rpm package:
    # sudo apt-get install squid-helpers

Files

Path
/etc/pam.d/squid
/usr/lib/squid/basic_db_auth
/usr/lib/squid/basic_fake_auth
/usr/lib/squid/basic_getpwnam_auth
/usr/lib/squid/basic_ldap_auth
/usr/lib/squid/basic_ncsa_auth
/usr/lib/squid/basic_pam_auth
/usr/lib/squid/basic_radius_auth
/usr/lib/squid/basic_sasl_auth
/usr/lib/squid/basic_smb_auth
/usr/lib/squid/basic_smb_auth.sh
/usr/lib/squid/basic_smb_lm_auth
/usr/lib/squid/cert_tool
/usr/lib/squid/digest_edirectory_auth
/usr/lib/squid/digest_file_auth
/usr/lib/squid/digest_ldap_auth
/usr/lib/squid/ext_delayer_acl
/usr/lib/squid/ext_edirectory_userip_acl
/usr/lib/squid/ext_file_userip_acl
/usr/lib/squid/ext_kerberos_ldap_group_acl
/usr/lib/squid/ext_ldap_group_acl
/usr/lib/squid/ext_session_acl
/usr/lib/squid/ext_time_quota_acl
/usr/lib/squid/ext_unix_group_acl
/usr/lib/squid/ext_wbinfo_group_acl
/usr/lib/squid/helper-mux
/usr/lib/squid/log_db_daemon
/usr/lib/squid/negotiate_kerberos_auth
/usr/lib/squid/negotiate_kerberos_auth_test
/usr/lib/squid/negotiate_wrapper_auth
/usr/lib/squid/ntlm_fake_auth
/usr/lib/squid/ntlm_smb_lm_auth
/usr/lib/squid/security_fake_certverify
/usr/lib/squid/security_file_certgen
/usr/lib/squid/storeid_file_rewrite
/usr/lib/squid/url_fake_rewrite
/usr/lib/squid/url_fake_rewrite.sh
/usr/lib/squid/url_lfs_rewrite
/usr/lib/squid/wbinfo_group.sh
/usr/share/doc/squid-4.8/
/usr/share/doc/squid-4.8/scripts/AnnounceCache.pl
/usr/share/doc/squid-4.8/scripts/PerUser.pl
/usr/share/doc/squid-4.8/scripts/access-log-matrix.pl
/usr/share/doc/squid-4.8/scripts/boiler-mgr.pl
/usr/share/doc/squid-4.8/scripts/cache-compare.pl
/usr/share/doc/squid-4.8/scripts/cachetrace.pl
/usr/share/doc/squid-4.8/scripts/calc-must-ids.pl
/usr/share/doc/squid-4.8/scripts/check_cache.pl
/usr/share/doc/squid-4.8/scripts/fileno-to-pathname.pl
/usr/share/doc/squid-4.8/scripts/find-alive.pl
/usr/share/doc/squid-4.8/scripts/flag_truncs.pl
/usr/share/doc/squid-4.8/scripts/formater.pl
/usr/share/doc/squid-4.8/scripts/icp-test.pl
/usr/share/doc/squid-4.8/scripts/icpserver.pl
/usr/share/doc/squid-4.8/scripts/merge-cf.data.pre.pl
/usr/share/doc/squid-4.8/scripts/mk-error-details-po.pl
/usr/share/doc/squid-4.8/scripts/sort-includes.pl
/usr/share/doc/squid-4.8/scripts/split-cf.data.pre.pl
/usr/share/doc/squid-4.8/scripts/tcp-banger.pl
/usr/share/doc/squid-4.8/scripts/trace-entry.pl
/usr/share/doc/squid-4.8/scripts/trace-job.pl
/usr/share/doc/squid-4.8/scripts/trace-kid.pl
/usr/share/doc/squid-4.8/scripts/trace-master.pl
/usr/share/doc/squid-4.8/scripts/udp-banger.pl
/usr/share/doc/squid-4.8/scripts/upgrade-1.0-store.pl
/usr/share/doc/squid-4.8/scripts/verify_errorpages.pl
/usr/share/man/man8/basic_db_auth.8.xz
/usr/share/man/man8/basic_getpwnam_auth.8.xz
/usr/share/man/man8/basic_ldap_auth.8.xz
/usr/share/man/man8/basic_ncsa_auth.8.xz
/usr/share/man/man8/basic_pam_auth.8.xz
/usr/share/man/man8/basic_radius_auth.8.xz
/usr/share/man/man8/basic_sasl_auth.8.xz
/usr/share/man/man8/digest_file_auth.8.xz
/usr/share/man/man8/ext_delayer_acl.8.xz
/usr/share/man/man8/ext_edirectory_userip_acl.8.xz
/usr/share/man/man8/ext_file_userip_acl.8.xz
/usr/share/man/man8/ext_ldap_group_acl.8.xz
/usr/share/man/man8/ext_session_acl.8.xz
/usr/share/man/man8/ext_time_quota_acl.8.xz
/usr/share/man/man8/ext_unix_group_acl.8.xz
/usr/share/man/man8/ext_wbinfo_group_acl.8.xz
/usr/share/man/man8/helper-mux.8.xz
/usr/share/man/man8/log_db_daemon.8.xz
/usr/share/man/man8/negotiate_kerberos_auth.8.xz
/usr/share/man/man8/security_fake_certverify.8.xz
/usr/share/man/man8/security_file_certgen.8.xz
/usr/share/man/man8/storeid_file_rewrite.8.xz
/usr/share/man/man8/url_lfs_rewrite.8.xz

Changelog

2019-07-15 - Alexey Shabalin <shaba@altlinux.org> 4.8-alt1
- Updated to 4.8
- Fixes:
+ CVE-2019-12854 Denial of Service issue in cachemgr.cgi
+ CVE-2019-12529 Denial of Service in HTTP Basic Authentication
+ CVE-2019-12525 Denial of Service in HTTP Digest Authentication
+ CVE-2019-12527 Heap Overflow issue in HTTP Basic Authentication
+ CVE-2019-13345 Multiple Cross-Site Scripting issues in cachemgr.cgi
2019-04-03 - Ivan A. Melnikov <iv@altlinux.org> 4.6-alt1.0.mips1
- Link with -latomic on mipsel
2019-04-02 - Alexey Shabalin <shaba@altlinux.org> 4.6-alt1
- Updated to 4.6
2019-02-11 - Gleb F-Malinovskiy <glebfm@altlinux.org> 4.5-alt2
- Fixed build with default -Werror=return-type flag.
2019-01-06 - Alexey Shabalin <shaba@altlinux.org> 4.5-alt1
- Updated to 4.5
2018-11-30 - Gleb F-Malinovskiy <glebfm@altlinux.org> 4.4-alt2
- Cleaned up BuildRequires.
2018-11-28 - Alexey Shabalin <shaba@altlinux.org> 4.4-alt1
- Updated to 4.4
2018-10-16 - Alexey Shabalin <shaba@altlinux.org> 4.3-alt1
- Updated to 4.3
2018-08-30 - Alexey Shabalin <shaba@altlinux.org> 4.2-alt1
- 4.2
2018-01-17 - Aleksei Nikiforov <darktemplar@altlinux.org> 3.5.26-alt3
- Rebuilt without NIS support.

See Also

Package Description
squid-kerberos-ldap-helper-1.2.2-alt1.1.i586.rpm Squid proxy server plugin for the SASL/GSSAPI authentication to an ldap server
squidGuard-1.4-alt1.qa1.i586.rpm Filter, redirector and access controller plugin for squid
squidclam-0.23-alt1.i586.rpm Redirect program for squid antivirus scanning
squidmill-2.6-alt3.i586.rpm Squid proxy server access log collector with rounding support
squidview-0.86-alt1.i586.rpm console program to monitor and display Squid logs
sreadahead-1.0-alt2.i586.rpm Super Read Ahead
srecord-1.64-alt3.i586.rpm srecord programs
srecord-devel-1.64-alt3.i586.rpm srecord development files
sredird-2.2.2-alt2.qa1.i586.rpm RFC 2217-compliant serial port redirector
srm-1.2.14-alt1.i586.rpm srm (secure rm) is a command-line compatible rm(1) which overwrites file contents before unlinking
srp_daemon-24.0-alt3.i586.rpm Tools for using the InfiniBand SRP protocol devices
ssdeep-2.13-alt1.i586.rpm Context Triggered Piecewise Hashing values
sshpass-1.05-alt1.i586.rpm Non-interactive ssh password auth
sshutout-1.0.6-alt2.i586.rpm Stop SSH dictionary attacks
sslh-1.20-alt1.i586.rpm A ssl/ssh multiplexer
Advertisement
Advertisement